Bug 440283 - SELinux prevents httpd from starting NTLM auth helpers when mod_auth_ntlm_winbind is used
SELinux prevents httpd from starting NTLM auth helpers when mod_auth_ntlm_win...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-02 12:19 EDT by Leonid Zeitlin
Modified: 2008-11-17 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-17 17:03:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leonid Zeitlin 2008-04-02 12:19:37 EDT
Description of problem:
The Apache module mod_auth_ntlm_winbind allows Apache to perform NTLM 
authentication against Active Directiry. To do this, the module needs to start 
and communicate to ntlm_auth helper program from Samba (same one as Squid 
uses). However, SELinux policy prevents httpd process from starting ntlm_auth. 
The following is logged in Apache error_log:

[Wed Apr 02 19:12:52 2008] [error] [client] (13)Permission denied: 
couldn't spawn child ntlm helper process: /usr/bin/ntlm_auth

And the following in audit log:

type=AVC msg=audit(1207152823.277:116711): avc:  denied  { read execute } for  
pid=15152 comm="httpd" name="ntlm_auth" dev=dm-3 ino=54696667 
tcontext=system_u:object_r:winbind_helper_exec_t:s0 tclass=file
type=SYSCALL msg=audit(1207152823.277:116711): arch=40000003 syscall=33 
success=no exit=-13 a0=81ee9a08 a1=5 a2=2a01e8 a3=81ee9bf0 items=0 ppid=15148 
pid=15152 auid=0 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 
fsgid=48 tty=(none) comm="httpd" exe="/usr/sbin/httpd" 
subj=root:system_r:httpd_t:s0 key=(null)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install mod_auth_ntlm_winbind
2. Configure mod_auth_ntlm_winbind
3. Try to access a location requiring NTLM auth with a browser
Additional info:
The following additional SELinux permissions were found to resolve the 

allow httpd_t winbind_helper_t:process signal;

Maybe this could be enabled via a boolean, or by default.
Comment 1 Daniel Walsh 2008-05-07 14:24:14 EDT
Fixed in selinux-policy-3.0.8-102.fc8

-Fixed in selinux-policy-3.3.1-44.fc9
Comment 2 Leonid Zeitlin 2008-05-08 09:03:53 EDT
Thanks. Will this fix be applied to Fedora 7?
Comment 4 Tony Fu 2008-10-05 21:28:14 EDT
User jkubin@redhat.com's account has been closed
Comment 5 Daniel Walsh 2008-11-17 17:03:26 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.